org.apache.ignite.internal.pagemem

## Class PageUtils

- java.lang.Object
- - org.apache.ignite.internal.pagemem.PageUtils

    public class PageUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PageUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte` `getByte(long addr, int off)`
`static void` `getBytes(long srcAddr, int srcOff, byte[] dst, int dstOff, int len)`
`static byte[]` `getBytes(long addr, int off, int len)`
`static int` `getInt(long addr, int off)`
`static long` `getLong(long addr, int off)`
`static short` `getShort(long addr, int off)`
`static int` `getUnsignedByte(long addr, int off)`
`static void` `putByte(long addr, int off, byte v)`
`static void` `putBytes(long addr, int off, byte[] bytes)`
`static void` `putBytes(long addr, int off, byte[] bytes, int bytesOff)`
`static void` `putBytes(long addr, int off, byte[] bytes, int bytesOff, int len)`
`static void` `putInt(long addr, int off, int v)`
`static void` `putLong(long addr, int off, long v)`
`static void` `putShort(long addr, int off, short v)`
`static void` `putUnsignedByte(long addr, int off, int v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageUtils

    public PageUtils()

### Method Detail

#### getByte

    public static byte getByte(long addr,
                               int off)

Parameters:
  `addr` - Start address.
  `off` - Offset.
Returns:
  Byte value from given address.

#### getUnsignedByte

    public static int getUnsignedByte(long addr,
                                      int off)

Parameters:
  `addr` - Start address.
  `off` - Offset.
Returns:
  Byte value from given address.

#### getBytes

    public static byte[] getBytes(long addr,
                                  int off,
                                  int len)

Parameters:
  `addr` - Start address.
  `off` - Offset.
  `len` - Bytes length.
Returns:
  Bytes from given address.

#### getBytes

    public static void getBytes(long srcAddr,
                                int srcOff,
                                byte[] dst,
                                int dstOff,
                                int len)

Parameters:
  `srcAddr` - Source address.
  `srcOff` - Source offset.
  `dst` - Destination array.
  `dstOff` - Destination offset.
  `len` - Length.

#### getShort

    public static short getShort(long addr,
                                 int off)

Parameters:
  `addr` - Address.
  `off` - Offset.
Returns:
  Value.

#### getInt

    public static int getInt(long addr,
                             int off)

Parameters:
  `addr` - Address.
  `off` - Offset.
Returns:
  Value.

#### getLong

    public static long getLong(long addr,
                               int off)

Parameters:
  `addr` - Address.
  `off` - Offset.
Returns:
  Value.

#### putBytes

    public static void putBytes(long addr,
                                int off,
                                byte[] bytes)

Parameters:
  `addr` - Address/
  `off` - Offset.
  `bytes` - Bytes.

#### putBytes

    public static void putBytes(long addr,
                                int off,
                                byte[] bytes,
                                int bytesOff)

Parameters:
  `addr` - Address.
  `off` - Offset.
  `bytes` - Bytes array.
  `bytesOff` - Bytes array offset.

#### putBytes

    public static void putBytes(long addr,
                                int off,
                                byte[] bytes,
                                int bytesOff,
                                int len)

Parameters:
  `addr` - Address.
  `off` - Offset.
  `bytes` - Bytes array.
  `bytesOff` - Bytes array offset.
  `len` - Length.

#### putByte

    public static void putByte(long addr,
                               int off,
                               byte v)

Parameters:
  `addr` - Address.
  `off` - Offset.
  `v` - Value.

#### putUnsignedByte

    public static void putUnsignedByte(long addr,
                                       int off,
                                       int v)

Parameters:
  `addr` - Address.
  `off` - Offset.
  `v` - Value.

#### putShort

    public static void putShort(long addr,
                                int off,
                                short v)

Parameters:
  `addr` - Address.
  `off` - Offset.
  `v` - Value.

#### putInt

    public static void putInt(long addr,
                              int off,
                              int v)

Parameters:
  `addr` - Address.
  `off` - Offset.
  `v` - Value.

#### putLong

    public static void putLong(long addr,
                               int off,
                               long v)

Parameters:
  `addr` - Address.
  `off` - Offset.
  `v` - Value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021